Subject: AW: ask for delivering cygwin 1.1.8 with kde 1.1.2
From: "Ralf Habacker" <[email-masked]>
To: "Cygwin" <[email-masked]>
Cc: "Robert Collins" <[email-masked]>
Date: Wed, 13 Jun 2001 12:48:38 +0200

> Does using ld without the auto-image-base solve your issues with cygwin
> 1.3.2?

I have a question relating to the relink/install ?
Libtool is relinking the dll on (1)installing or on no installed apps if
(2)called.
Is this not obsolate, as (1) the dll and the import lib are already
available with after regular linking and for (2).

I'm asking because every linking of the kdelibs (kdecore,kdeui,..) needs
about 10-15 minutes on a 750 MHz PIII with 195MB Real RAM. So if this step
could be removed, debugging would be able much faster.

Regards

Ralf Habacker
EMail: [email-masked]
       [email-masked]

> -----Ursprüngliche Nachricht-----
> Von: Ralf Habacker [mailto:[email-masked]]
> Gesendet am: Mittwoch, 13. Juni 2001 12:33
> An: Cygwin-Apps
> Cc: Suhaib Siddiqi; Alan Hourihane; Robert Collins
> Betreff: AW: ask for delivering cygwin 1.1.8 with kde 1.1.2
>
> > Betreff: RE: ask for delivering cygwin 1.1.8 with kde 1.1.2
> >
> > cygwin-apps. (KDE is a ported application).
> >
> > I've removed Chris from the cc, as I know he is subscribed.
> >
> > So, Ralf, as I understand it the question is, why do you need cygwin
> > 1.1.8, and an older ncurses?
> >
> 1. I have reported ealier in the cygwin list about unix socket
> problems, which occurs only on using cygwin 1.3.2.
> http://cygwin.com/ml/cygwin/2001-05/msg01684.html
> After debugging kde, currently I have no idea what's going wrong.
> Curiously with cygwin 1.1.8 there is no problem. One reason may
> be the relocation problem found in cygwin by Robert Collins, but
> the sockets problems still remains.
>
> Currently I preparing a test environment for me, i think I can
> tell more soon.
>
>
> 2. applications or linbs linked with cygwin 1.3.2 like ncurses
> reference a pointer "check_for_executable" used by the method
> path_conv::exec_state(). This isn't available under cygwin 1.1.8.
> So if one application or lib is linked with cygwin 1.3.2 it will
> never runs under cygwin 1.1.8. Especially in deep nested
> applications like kde this wilkl produced much support problems.
>
> It is not possible to put this var into the structure pointed by
> the impure_ptr (or somewhere else) to prevent such incompatibility ?
>
> > Does using ld without the auto-image-base solve your issues with cygwin
> > 1.3.2?
>
> You need to all -Wl,--export-all-symbols. Without that
> --whole-archive doesn't do anything.
> Additional I have recognized a problem in using static libs, but
> this I have to analyse more.
>
> > What issues do you have with the latest ncurses?
> look at 2.
> ncurses 2.5-5 needs "check_for_executable", so if you update the
> cygwin installation with it, some kde applications will not work
> (especiallyx kvt). Look below for additional informations
> relating dependency problematic.
>
>
> Dependency problems
> Some libs like jpeglib are named with the major revision number,
> but without the minor /release or buildnumber for examples
> cygjpeg6b.dll or ncurses5.dll.
>
> Especially for the jepglib there is an additional runtime
> checking if the caller has compiled in the same version lib (with
> build-number).
>
> So when I compile kde with cygjpeg6b-2 and some time later
> someone updates his jpeglib to Release 6b-4, kde will not be able
> to run because of this runtime checking.
>
> Because of this I decided for kde to use dlls with detailed name
> (for example kdecore-2-0-0.dll) so that multiple installed
> versions of one package/lib are possibly.
>
> The cygwin installer doesn't care about such dependencies, so
> currently, it would be easier to supply depending libs with the
> kde (or other toplevel packages) package with the resulting
> problem of equal named dlls with different versions.
>
>
> Regards
> Ralf
>
> >
> > Rob
> >
> > > -----Original Message-----
> > > From: Ralf Habacker [mailto:[email-masked]]
> > > Sent: Wednesday, June 13, 2001 5:17 PM
> > > To: Alan Hourihane; Christopher Faylor; Robert Collins; Suhaib Siddiqi
> > > Subject: Re: ask for delivering cygwin 1.1.8 with kde 1.1.2
> > >
> > >
> > > >I will forward you one of his email from this morning.  I do
> > > not think he
> > > >Asked these questions on the mailing list.  Perhaps if you
> > > answer him and
> > > >ask him if he will be willing to move the discussion to
> > > mailing list so
> > > >others can join too????
> > >
> > > Hi all,
> > > which list we should use for this cygwinb or cygwin/xfree ?
> > >
> > > Regards
> > >
> > > Ralf Habacker
> > > EMail: [email-masked]
> > >        [email-masked]
> > >
> >

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple